Skip to main content
GET
List invitations

Authorizations

X-Api-Key
string
header
required

Your secret ReachBoost API key.

Path Parameters

workspace_uuid
string<uuid>
required

Your unique workspace identifier.

Example:

"YOUR_WORKSPACE_UUID"

Query Parameters

page
integer
default:1

The page number.

Required range: x >= 1
per_page
integer
default:50

The number of results per page.

Required range: 1 <= x <= 100
first_name
string

Partial match filter on the first name (case-insensitive).

last_name
string

Partial match filter on the last name (case-insensitive).

email
string

Partial match filter on the email address (case-insensitive).

role
string

Exact match on the role, one or more of workspace_member, workspace_admin, agency_member, agency_admin separated by commas.

Example:

"workspace_admin,workspace_member"

status
string

Exact match on the computed status, one or more of pending, expired, accepted separated by commas. accepted never matches because accepted invitations are not listed.

Example:

"pending,expired"

Response

Paginated list of invitations

current_page
integer
per_page
integer
total_count
integer
total_pages
integer
next_page
integer | null
prev_page
integer | null
data
object[]